/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 */
package samples;

import java.io.FileInputStream;

// Zeus imports
import org.enhydra.zeus.Marshaller;
import org.enhydra.zeus.Result;
import org.enhydra.zeus.Source;
import org.enhydra.zeus.Unmarshaller;
import org.enhydra.zeus.source.StreamSource;
import org.enhydra.zeus.result.StreamResult;

/**
 * <p>
 *  This tests round-tripping of marshalling and unmarshalling.
 * </p>
 *
 * @author  Ryan Smith
 */
public class TestZeusRoundTrip {

    /**
    * @param args the command line arguments
    */
    public static void main (String args[]) {
        String javaPackage = "";
        if (args.length < 1) {
            System.out.println("Please specify an XML file.");
            System.exit(1);
        } else if (args.length >= 2) {
            javaPackage = args[1];
        }
        
        try {
            Source source = new StreamSource(new FileInputStream(args[0]));
            Unmarshaller unmarshaller = new Unmarshaller();
            unmarshaller.setJavaPackage(javaPackage);
            Object obj = unmarshaller.unmarshal(source);
            System.out.println("Unmarshalled object = " + obj);
            
            Marshaller marshaller = new Marshaller();
            Result result = new StreamResult(System.out);
            marshaller.marshal(obj, result);
            
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
