/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 */
package org.enhydra.zeus;

/**
 * <p>
 *  <code>ZeusDefaults</code> defines constants used throughout
 *    the rest of the Zeus code base.
 * </p>
 *
 * @author Brett McLaughlin
 * @version 1.0
 */
public class ZeusDefaults {

    /** Name of the Zeus element XML name field. */
    public static final String XML_NAME_FIELD = "ZEUS_XML_NAME";

    /** Name of field for Zeus attributes array */
    public static final String ATTRIBUTE_ARRAY_FIELD = "ZEUS_ATTRIBUTES";

    /** Name of field for Zeus elements array */
    public static final String ELEMENT_ARRAY_FIELD = "ZEUS_ELEMENTS";
}

